gweled does not record high scores

Bug #110268 reported by Emmet Hikory on 2007-04-26
10
Affects Status Importance Assigned to Milestone
gweled (Debian)
Fix Released
Unknown
gweled (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: gweled

After several games of gweled, no high sores are recorded.

Related branches

Johnathon (kirrus) wrote :

Hi,
I'm unable to duplicate this on my machine. Can you tell me the modes you are running it in, and the results of running "uname -r" in a terminal please?

Changed in gweled:
assignee: nobody → kirrus
status: Unconfirmed → Needs Info
Emmet Hikory (persia) wrote :

    I'm not sure what you mean by modes. `uname -rm` returns "2.6.20-15-generic x86_64".

Johnathon (kirrus) wrote :

What game options are you running?

Emmet Hikory (persia) wrote :

Difficulty: Normal
Board Size; Medium

Johnathon (kirrus) wrote :

OK, can confirm this bug, duplicated on my machine. However, if you play a timed game, and then beat your previous high score, the table updates, and you previous high score is then listed in the table, but there is no name attached to it.
Just for completeness, uname -rm for me is 2.6.20-15-generic i686.

Changed in gweled:
assignee: kirrus → nobody
status: Needs Info → Confirmed
o ayfer (launchpad-ayfer) wrote :

This us due to the ownership and permissions of the files:

/var/games/gweled.timed.scores
/var/games/gweled.easy.scores

Changing the "easy" one's permission to match the "timed" one (owner is root:games, perms are rw-rw-r--) fixes this bug.

Mathieu Alorent (kumy) wrote :

I confirm what o ayfer said, can someone correct the package ?

Johnathon (kirrus) wrote :

Hi,

Are you still experiencing this bug?

Changed in gweled:
assignee: nobody → kirrus
status: Confirmed → Incomplete
Emmet Hikory (persia) wrote :

I certainly am. The fix is to verify the permissions of the high-score files in the postinst. As previously declated, they should be root.games 664.

Changed in gweled:
status: Incomplete → Triaged
Johnathon (kirrus) wrote :

Assigning to MOTU & putting back in confirmed status. I agree this is a bitesize/packaging fix.

Changed in gweled:
assignee: kirrus → motu
status: Triaged → Confirmed
Efrain Valles (effie-jayx) wrote :

I'm on it

Efrain Valles (effie-jayx) wrote :

I have generated a patch with the fix
I have built it and tested it

Efrain Valles (effie-jayx) wrote :

Last two ubuntu changelog entries and then the most recent debian changelog entry

gweled (0.7-2ubuntu2) hardy; urgency=low

  * Removed creation of score file in Makefile.in as it gets created in gweled.postinst (LP: #110268).
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Efrain Valles Pulgar (effie_jayx) <email address hidden> Sat, 02 Feb 2008 14:54:47 -0430

gweled (0.7-2ubuntu1) feisty; urgency=low

  * Re-merge from Debian unstable. Ubuntu change:
     - Fixed the .desktop file to match the specification

 -- Adrien Cunin <email address hidden> Wed, 6 Dec 2006 14:50:30 +0100

gweled (0.7-2) unstable; urgency=low

  * Disable disk writer driver in MikMod initialization
    (Closes: #401727, #401375)
  * Fix double free when exiting (Closes: #401730)

 -- Ondřej Surý <email address hidden> Tue, 5 Dec 2006 18:20:44 +0100

Changed in gweled:
assignee: motu → nobody
status: Confirmed → In Progress

Uploaded, thanks!

Changed in gweled:
status: In Progress → Fix Released
Efrain Valles (effie-jayx) wrote :

A patch has been submitted to debian.

Changed in gweled:
status: Unknown → Confirmed
Efrain Valles (effie-jayx) wrote :

I have made a modification to the package because further testing revealed that now timed games weren't able to record high-scores.

I have made modifications and it works properly now. I have eraed the old debdiff and I attach the debdiff between the two ubuntu versions.

Efrain Valles (effie-jayx) wrote :

Changelog from the last two ubuntu versions and the debian version respectively

gweled (0.7-2ubuntu3) hardy; urgency=low

  * Added two lines that had gotten removed in Makefile.in

 -- Efrain Valles Pulgar (effie_jayx) <email address hidden> Tue, 05 Feb 2008 18:34:56 -0430

gweled (0.7-2ubuntu2) hardy; urgency=low

  * Removed creation of score file in Makefile.in as it gets created in gweled.postinst (LP: #110268).
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Efrain Valles Pulgar (effie_jayx) <email address hidden> Sat, 02 Feb 2008 14:54:47 -0430

gweled (0.7-2) unstable; urgency=low

  * Disable disk writer driver in MikMod initialization
    (Closes: #401727, #401375)
  * Fix double free when exiting (Closes: #401730)

 -- Ondřej Surý <email address hidden> Tue, 5 Dec 2006 18:20:44 +0100

Efrain Valles (effie-jayx) wrote :

Some minor modifications to fix the timed scores this time around. tested to work

Changed in gweled:
assignee: nobody → hobbsee
status: Fix Released → Fix Committed
Efrain Valles (effie-jayx) wrote :

new patch has been sent to debian

uploaded again, thanks.

Changed in gweled:
status: Fix Committed → Fix Released
Changed in gweled:
status: Confirmed → Fix Committed
Changed in gweled (Debian):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.